Commit dcad4f51 authored by Eric Eastwood's avatar Eric Eastwood

Fix desktop app JS by adding Object.assign polyfill

parent 59aa714a
......@@ -497,6 +497,14 @@
"to-fast-properties": "1.0.3",
"trim-right": "1.0.1",
"try-resolve": "1.0.1"
},
"dependencies": {
"core-js": {
"version": "1.2.7",
"resolved": "https://registry.npmjs.org/core-js/-/core-js-1.2.7.tgz",
"integrity": "sha1-ZSKUwUZR2yj6k70tX/KYOk8IxjY=",
"dev": true
}
}
},
"babel-loader": {
......@@ -4459,9 +4467,9 @@
"dev": true
},
"core-js": {
"version": "1.2.7",
"resolved": "https://registry.npmjs.org/core-js/-/core-js-1.2.7.tgz",
"integrity": "sha1-ZSKUwUZR2yj6k70tX/KYOk8IxjY="
"version": "2.5.6",
"resolved": "https://registry.npmjs.org/core-js/-/core-js-2.5.6.tgz",
"integrity": "sha512-lQUVfQi0aLix2xpyjrrJEvfuYCqPc/HwmTKsC/VNf8q0zsjX7SQZtp4+oRONN5Tsur9GDETPjj+Ub2iDiGZfSQ=="
},
"core-util-is": {
"version": "1.0.2",
......@@ -6955,6 +6963,13 @@
"promise": "7.3.1",
"setimmediate": "1.0.5",
"ua-parser-js": "0.7.18"
},
"dependencies": {
"core-js": {
"version": "1.2.7",
"resolved": "https://registry.npmjs.org/core-js/-/core-js-1.2.7.tgz",
"integrity": "sha1-ZSKUwUZR2yj6k70tX/KYOk8IxjY="
}
}
},
"fflip": {
......@@ -28202,6 +28217,14 @@
"promise": "7.3.1",
"ua-parser-js": "0.7.18",
"whatwg-fetch": "0.9.0"
},
"dependencies": {
"core-js": {
"version": "1.2.7",
"resolved": "https://registry.npmjs.org/core-js/-/core-js-1.2.7.tgz",
"integrity": "sha1-ZSKUwUZR2yj6k70tX/KYOk8IxjY=",
"dev": true
}
}
},
"react": {
......
'use strict';
require('core-js/fn/object/assign');
......@@ -53,7 +53,8 @@ var webpackConfig = {
'moment',
'bluebird',
'fuzzysearch',
'url-join'
'url-join',
path.resolve(path.join(__dirname, './commons.js'))
]
},
output: {
......@@ -67,6 +68,17 @@ var webpackConfig = {
module: {
//JP 12/1/16 If you add a loader remember to add it to /test/in-browser/webpack.config.js
loaders: [
{
test: /\.js?$/,
loader: 'babel',
exclude: [ /node_modules/ ],
query: {
presets: [
// https://github.com/babel/babel-loader/issues/149
require.resolve("babel-preset-es2015")
]
}
},
{
test: /\.hbs$/,
loader: '@gitterhq/handlebars-loader', // disable minify for now + path.resolve(path.join(__dirname, "../../build-scripts/html-min-loader"))
......
......@@ -36,6 +36,17 @@ module.exports = {
module: {
preLoaders: preLoaders,
loaders: [
{
test: /\.js?$/,
loader: 'babel',
exclude: [ /node_modules/ ],
query: {
presets: [
// https://github.com/babel/babel-loader/issues/149
require.resolve("babel-preset-es2015")
]
}
},
{
test: /\.hbs$/,
loader: '@gitterhq/handlebars-loader', // disable minify for now + path.resolve(path.join(__dirname, "../../build-scripts/html-min-loader"))
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment